<?php


namespace App\ViewModels\Consulta\ConsultaDetailsViewModel;


use App\Utils\Entity;

class PerguntaDetailsConsulta extends Entity
{

    protected $id;
    protected $texto_pergunta;
    protected $id_tipo_pergunta;
    protected $obrigatorio;
    protected $pergunta_ativo;
    protected $pergunta_ordem;
    protected $opcoes;
    protected $resposta_pergunta_textual;
    protected $resposta_pergunta_decimal;
    protected $resposta_pergunta_inteira;
    protected $resposta_pergunta_opcao;

    public static function builder(): PerguntaDetailsConsultaBuilder
    {
        return new PerguntaDetailsConsultaBuilder;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getTextoPergunta(): string
    {
        return $this->texto_pergunta;
    }

    public function getIdTipoPergunta(): int
    {
        return $this->id_tipo_pergunta;
    }

    public function getOpcoes(): OpcaoDetailsConsultaCollection
    {
        return $this->opcoes;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setTextoPergunta(string $texto_pergunta): void
    {
        $this->texto_pergunta = $texto_pergunta;
    }

    public function setIdTipoPergunta(int $id_tipo_pergunta): void
    {
        $this->id_tipo_pergunta = $id_tipo_pergunta;
    }

    public function setOpcoes(OpcaoDetailsConsultaCollection $opcoes): void
    {
        $this->opcoes = $opcoes;
    }

    public function getObrigatorio() : int
    {
        return $this->obrigatorio;
    }

    public function setObrigatorio(int $obrigatorio): void
    {
        $this->obrigatorio = $obrigatorio;
    }

    /**
     * @return mixed
     */
    public function getRespostaPerguntaTextual()
    {
        return $this->resposta_pergunta_textual;
    }

    /**
     * @param mixed $resposta_pergunta_textual
     */
    public function setRespostaPerguntaTextual($resposta_pergunta_textual): void
    {
        $this->resposta_pergunta_textual = $resposta_pergunta_textual;
    }

    /**
     * @return mixed
     */
    public function getRespostaPerguntaDecimal()
    {
        return $this->resposta_pergunta_decimal;
    }

    public function setRespostaPerguntaDecimal($resposta_pergunta_decimal): void
    {
        $this->resposta_pergunta_decimal = $resposta_pergunta_decimal;
    }

    public function getRespostaPerguntaInteira()
    {
        return $this->resposta_pergunta_inteira;
    }

    public function setRespostaPerguntaInteira($resposta_pergunta_inteira): void
    {
        $this->resposta_pergunta_inteira = $resposta_pergunta_inteira;
    }

    public function getRespostaPerguntaOpcao()
    {
        return $this->resposta_pergunta_opcao;
    }

    public function setRespostaPerguntaOpcao($resposta_pergunta_opcao): void
    {
        $this->resposta_pergunta_opcao = $resposta_pergunta_opcao;
    }
	/**
	 * @return mixed
	 */
	public function getPergunta_ativo() {

		return $this->pergunta_ativo;
	}


	/**
	 * @return mixed
	 */
	public function getPergunta_ordem() {

		return $this->pergunta_ordem;
	}


	/**
	 * @param mixed $pergunta_ativo
	 */
	public function setPergunta_ativo($pergunta_ativo) {

		$this->pergunta_ativo = $pergunta_ativo;
	}


	/**
	 * @param mixed $pergunta_ordem
	 */
	public function setPergunta_ordem($pergunta_ordem) {

		$this->pergunta_ordem = $pergunta_ordem;
	}






}